﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@using Microsoft.AspNetCore.Http;
@model CyberaniumModels.IRA
@{
    ViewData["Title"] = "Index";
}

<style>
    h2.h2class {
        margin: 0;
        font-size: 17px;
        font-weight: 600;
    }

    .tabanchor p {
        background-color: #fff;
        width: 100%;
        float: left;
        font-size: 17px;
        font-weight: 600;
        line-height: 51px;
    }

    .tabanchor span {
        float: right;
        font-size: 15px;
    }

    .boxcolor {
        float: left;
        position: relative;
        height: 25px;
        width: 100%;
        background: #00b050; /* Old browsers */
        background: -moz-linear-gradient(left, #00b050 0%, #ffdc00 50%, #ff0000 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(left, #00b050 0%,#ffdc00 50%,#ff0000 100%); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(to right, #00b050 0%,#ffdc00 50%,#ff0000 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    }

    .arrowicon {
        position: absolute;
        bottom: -26px;
        left: 0px;
    }

    .btn_enabler {
        background: #61c1c1;
        border: none;
        width: 100%;
        text-align: center;
        padding: 12px 4px;
        color: #fff;
        margin-top: 15px;
    }




    .inputcheckboxlist ul {
        list-style-type: none;
    }

        .inputcheckboxlist ul li {
            display: inline-block;
            padding: 8px 8px;
        }

    input[type="checkbox"].customcheckbtn {
        display: none;
    }

        input[type="checkbox"].customcheckbtn + label {
            position: relative;
            padding: 5px 5px 5px 40px;
        }

            input[type="checkbox"].customcheckbtn + label:before {
                content: "";
                width: 27px;
                height: 27px;
                border-radius: 4px;
                border: solid 1px #ccc;
                background: #fff;
                position: absolute;
                left: 0;
                top: 2px;
                transition: 0.3s;
            }

            input[type="checkbox"].customcheckbtn + label:after {
                content: "";
                width: 12px;
                height: 6px;
                border-bottom: solid 3px #fff;
                border-left: solid 3px #fff;
                position: absolute;
                left: 8px;
                top: 10px;
                opacity: 0;
                transition: 0.3s;
                transform: rotate( -45deg );
            }


        input[type="checkbox"].customcheckbtn:checked + label:after {
            opacity: 1;
        }

        input[type="checkbox"].customcheckbtn:checked + label:before {
            border: solid 1px #0b1db2;
            background: #0b1db2;
        }

    #tblApplications td .clickIcon {
        width: 20px;
        height: 20px;
        display: block;
        background: #00a3a1;
        margin-left: auto;
        position: relative;
        cursor: pointer;
    }

        #tblApplications td .clickIcon::before {
            content: "";
            width: 2px;
            height: 12px;
            background: #fff;
            position: absolute;
            top: 4px;
            left: 50%;
            margin-left: -1px;
        }

        #tblApplications td .clickIcon::after {
            content: "";
            width: 12px;
            height: 2px;
            background: #fff;
            position: absolute;
            left: 4px;
            top: 50%;
            margin-top: -1px;
        }

        #tblApplications td .clickIcon.remove {
            background: #f00;
        }

            #tblApplications td .clickIcon.remove::before {
                display: none;
            }
</style>


<style>
   /* body {
        color: white;
    }*/

    #legend {
        width: 100px;
        height: 150px;
        border-radius: 3px;
        background: grey;
        padding: 10px;
        font-family: arial;
    }

    .circle {
        width: 20px;
        border-radius: 100%;
    }

    a.canvasjs-chart-credit {
        display: none;
    }

    .legend {
        float: left;
        width: 200px;
    }

        .legend ul {
            display: block;
            list-style-type: none;
            margin: 0px;
            padding: 0px;
        }

            .legend ul li {
                display: block;
                padding: 8px 5px 8px 30px;
                position: relative;
                color: #444;
            }

                .legend ul li span {
                    width: 25px;
                    height: 6px;
                    position: absolute;
                    left: 0px;
                    top: 50%;
                    margin-top: -3px;
                }

    .backtolist {
        margin-top: 7px !important;
        color: #fff !important;
        cursor: pointer !important;
    }
    .CategoryListmap{
        margin:0px;
        padding:0px;
        list-style-type:none;
    }
        .CategoryListmap li {
            display: block;
            padding: 1px 0px;
        }
            .CategoryListmap li span.text {
                display: block;
                background: #61c1c1;
                padding: 5px 10px;
                color:#fff;
            }
    .enabler_detail {
        background-color: #f8f8f8;
        display: block;
        width: 100%;
        padding: 5px 5px;
        min-height: 150px;
    }
</style>

@*<script data-require="jquery" data-semver="2.1.4" src="https://code.jquery.com/jquery-2.1.4.js"></script>*@
<script src="~/Script/ApplicationManagement/IRA.js"></script>
<script src="/Script/Master/charts2.0.js"></script>

<script>
    function fn_ShowFun(input1) {
        debugger
        var Orgname = $('#ChildOrgId option:selected').text();
        $('#preloader').show();
        $('#processTree123').empty();
        $('.legend').empty();
        $('#barChartLoc').empty();
        var OrgID = $(input1).val();
        var html = "";
        setTimeout(function () {
            $.ajax({
                url: "/Dashboard/Landing/FunctionDetails",
                type: "POST",
                async: false,
                data: { OrgID: OrgID },
                success: function (res) {
                    debugger
                    if (res.res !== "") {
                        $('.orgmap').html(res.res);
                        var str = "";
                        for (var i = 0; i < res.categoryList.length; i++) {
                            str += '<li><span class="text">' + res.categoryList[i].categoryName + '</span><li>';
                        }
                        $('.CategoryListmap').html(str);
                        fn_GetOrgMis(OrgID);

                    }
                    else {
                        $('.legend').empty();
                        $('.barChartLoc').hide();
                        $('.orgmap').empty()
                    }
                },
                error: function (ex) {

                    console.log(ex.responseText);
                }
            })
            $("#FunctionId").html(html);

        }, 0);

    }
    function fn_GetFuncton(OrgID, FunctionId) {
        var Orgname = $('#ChildOrgId option:selected').text();
        $('#preloader').show();
        $('#processTree123').empty();
        $('.legend').empty();
        $('#barChartLoc').empty();
        var html = "";
        setTimeout(function () {
            $.ajax({
                url: "/Dashboard/Landing/GetFunction",
                type: "POST",
                async: false,
                data: { OrgID: OrgID, FunctionId, FunctionId },
                success: function (res) {
                    debugger
                    if (res.res !== "") {
                        google.charts.load('current', { 'packages': ['corechart'] });
                        google.charts.setOnLoadCallback(drawVisualization);
                        function drawVisualization() {
                            //var arr1 = [];
                            //var i = 0;
                            //for (var i = 0; i < res.functionList.length; i++) {
                            //    arr1.push(res.functionList[i].score);
                            //}
                            //alert(arr1);
                            //Some raw data (not necessarily accurate)
                            //var dataVis = google.visualization.arrayToDataTable([['Year', 'P1', 'Process 1', 'Process 2', 'Avg', 'Avg1'], [2021, 3.53, 2.86, 3.60, 3,7], [2022, 2.36, 1.90, 3.60, 3,2]]);
                            //var dataVis = google.visualization.arrayToDataTable([['Year', 'P1', 'Function', 'Orgnization'], ['2021', 3.53, 1, 4], ['2022', 2.36, 3, 2]]);

                            debugger
                            let processCount = JSON.parse(res.processcount);
                            let _processCount = JSON.parse(res.processcount + 1);

                            var str = res.finalResult;
                            parsedTest = JSON.parse(str.replace(/'/g, '"'));
                            var dataVis = google.visualization.arrayToDataTable(parsedTest);

                            var options = {
                                title: '',
                                vAxis: { title: 'Score' },
                                hAxis: { title: 'Year' },
                                seriesType: 'bars',
                                series: { [processCount]: { type: 'line' }, [_processCount]: { type: 'line' } }
                            };

                            var chart = new google.visualization.ComboChart(document.getElementById('chart_div'));
                            chart.draw(dataVis, options);
                            $('#chart_div').show();
                            $('#canvas').hide();
                        }
                    }
                    else {
                        $('.legend').empty();
                        $('.barChartLoc').hide();
                        $('.orgmap').empty()
                    }
                },
                error: function (ex) {

                    console.log(ex.responseText);
                }
            })
            $("#FunctionId").html(html);

        }, 0);
    }

    function fn_GetOrgMis(OrgID) {
        var Orgname = $('#ChildOrgId option:selected').text();
        $('#preloader').show();
        $('#processTree123').empty();
        $('.legend').empty();
        $('#barChartLoc').empty();
        var html = "";
        setTimeout(function () {
            $.ajax({
                url: "/Dashboard/Landing/GetOrgMis",
                type: "POST",
                async: false,
                data: { OrgID: OrgID },
                success: function (res) {
                    debugger
                    if (res.res !== "") {
                        google.charts.load('current', { 'packages': ['corechart'] });
                        google.charts.setOnLoadCallback(drawVisualization);
                        function drawVisualization() {
                            //var arr1 = [];
                            //var i = 0;
                            //for (var i = 0; i < res.functionList.length; i++) {
                            //    arr1.push(res.functionList[i].score);
                            //}
                            //alert(arr1);
                            //Some raw data (not necessarily accurate)
                            //var dataVis = google.visualization.arrayToDataTable([['Year', 'P1', 'Process 1', 'Process 2', 'Avg', 'Avg1'], [2021, 3.53, 2.86, 3.60, 3,7], [2022, 2.36, 1.90, 3.60, 3,2]]);
                            //var dataVis = google.visualization.arrayToDataTable([['Year', 'P1', 'Function', 'Orgnization'], ['2021', 3.53, 1, 4], ['2022', 2.36, 3, 2]]);

                            debugger
                            let processCount = JSON.parse(res.processcount);
                            let _processCount = JSON.parse(res.processcount + 1);

                            var str = res.finalResult;
                            parsedTest = JSON.parse(str.replace(/'/g, '"'));
                            var dataVis = google.visualization.arrayToDataTable(parsedTest);

                            var options = {
                                title: '',
                                vAxis: { title: 'Score' },
                                hAxis: { title: 'Year' },
                                seriesType: 'bars',
                                series: { [processCount]: { type: 'line' }, [_processCount]: { type: 'line' } }
                            };

                            var chart = new google.visualization.ComboChart(document.getElementById('chart_div'));
                            chart.draw(dataVis, options);
                            $('#canvas').hide();
                        }
                    }
                    else {
                        $('.legend').empty();
                        $('.barChartLoc').hide();
                        $('.orgmap').empty()
                    }
                },
                error: function (ex) {

                    console.log(ex.responseText);
                }
            })
            $("#FunctionId").html(html);

        }, 0);
    }

    function fn_ShowGetOrgCategory(OrgID, FunctionId, ProcessId) {
        debugger
        var Orgname = $('#ChildOrgId option:selected').text();
        $('#preloader').show();
        $('#processTree123').empty();
        $('.legend').empty();
        $('#barChartLoc').empty();
        var html = "";
        setTimeout(function () {
            $.ajax({
                url: "/Dashboard/Landing/GetShowGetOrgCategory",
                type: "POST",
                async: false,
                data: { OrgID: OrgID, FunctionId, ProcessId },
                success: function (res) {
                    debugger
                    if (res.res !== "") {
                        var arr1 = [];
                        var i = 0;
                        for (var i = 0; i < res.processList.length; i++) {
                            arr1.push(res.processList[i].createdYear);
                        }

                        var arr2 = [];
                        var j = 0;
                        for (var j = 0; j < res.processList.length; j++) {
                            arr2.push(res.processList[j].score);
                        }
                        var barChartData = {
                            labels: arr1,
                            datasets: [{
                                label: "Trend",
                                type: 'line',
                                //data: [5, 15],
                                data: arr2,
                                barPercentage: 0.5,
                                fill: false,
                                borderColor: '#EC932F',
                                backgroundColor: '#EC932F',
                                pointBorderColor: '#EC932F',
                                pointBackgroundColor: '#EC932F',
                                pointHoverBackgroundColor: '#EC932F',
                                pointHoverBorderColor: '#EC932F',
                                yAxisID: 'y-axis-2'
                            }, {
                                type: 'bar',
                                label: "Process",
                                //data: [3.31, 3.76],
                                data: arr2,
                                fill: false,
                                backgroundColor: '#71B37C',
                                borderColor: '#71B37C',
                                hoverBackgroundColor: '#71B37C',
                                hoverBorderColor: '#71B37C',
                                yAxisID: 'y-axis-1'
                            }]
                        };
                        abc();
                        function abc() {
                            debugger;
                            var ctx = document.getElementById("canvas").getContext("2d");
                            window.myBar = new Chart(ctx, {
                                type: 'bar',
                                data: barChartData,
                                options: {
                                    responsive: true,
                                    tooltips: {
                                        mode: 'label'
                                    },
                                    elements: {
                                        line: {
                                            fill: false
                                        }
                                    },
                                    scales: {
                                        xAxes: [{
                                            display: true,
                                            innerWidth: 100,
                                            gridLines: {
                                                display: false
                                            },
                                            labels: {
                                                show: true,
                                            }
                                        }],
                                        yAxes: [{
                                            type: "linear",
                                            display: true,
                                            position: "left",
                                            id: "y-axis-1",
                                            ticks: {
                                                min: 0,
                                                max: 25,
                                                stepSize: 5
                                            },
                                            gridLines: {
                                                display: false
                                            },
                                            labels: {
                                                show: true,
                                            }
                                        }, {
                                            type: "linear",
                                            display: true,
                                            position: "right",
                                            id: "y-axis-2",
                                            ticks: {
                                                min: 0,
                                                max: 25,
                                                stepSize: 5
                                            },
                                            gridLines: {
                                                display: false
                                            },
                                            labels: {
                                                show: true,

                                            }
                                        }]
                                    }
                                }
                            });
                        };
                        $('#chart_div').hide();
                        $('#canvas').show();
                    }
                    else {
                        $('.legend').empty();
                        $('.barChartLoc').hide();
                        $('.orgmap').empty()
                    }
                },
                error: function (ex) {

                    console.log(ex.responseText);
                }
            })
            $("#FunctionId").html(html);

        }, 0);

    }
</script>

<script type="text/javascript">
    $(document).on('click', '.orgmap .text', function () {
        $(this).parent().parent().toggleClass("inactive");
    })
    /*  fn_GetRetport();*/
    var mm;

    function fn_GetRetport() {
        debugger
        var OrgID = $('#ChildOrgId option:selected').val();
        $.ajax({
            url: "/Dashboard/Landing/Reports",
            type: "POST",
            data: { OrgID: OrgID },
            success: function (result) {
                debugger
                var barChartLocData;
                var obj = [];
                $.each(result.res2, function (i, item) {
                    debugger
                    var strokeColor;
                    var data = [];
                    var fillColor;
                    strokeColor = result.res2[i].colorName;
                    fillColor = result.res2[i].colorName;

                    $.each(result.res, function (j, item2) {
                        debugger
                        if (item2.clientProcessId == item.clientProcessId) {
                            data.push(item2.score);
                        }
                    })
                    var ttt = { fillColor: fillColor, strokeColor: strokeColor, data: data };
                    obj.push(ttt);
                    $('.legend').append("<ul><li><span style='background:" + fillColor + "'></span>Process " + item.clientProcessId + "</li></ul>");
                })
                barChartLocData = {
                    //labels: ["Confidentiality", "Communication security", "Integrity", "Availablity", "Privacy"],
                    labels: ["Confidentiality", "Communication security", "Integrity", "Availablity", "Privacy"],
                    datasets: obj,
                };
                var mybarChartLoc = new Chart(document.getElementById("barChartLoc").getContext("2d")).Bar(barChartLocData);
            },
            error: function (ex) {
                console.log(ex.responseText);
            }
        })
    }
</script>


<div class="right_section">
    <div class="titile_heading" id="title_List">
        <h1>Mis Report</h1>
        <div class="titile_line">
            <a class="backtolist" href="/Dashboard/Landing/Index">Back to Menu</a>
        </div>
    </div>


    <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
        <div class="right_panel">
            <div class="right_content">
                <div class="row">
                    <div class="col-md-4 col-sm-4 col-xs-6">

                        <div class="select_box m_bottom">
                            @Html.DropDownListFor(m => m.ChildOrgId, Model.DdlParentOrg, "Select an Option", new { @class = "form-control m_no chosen-select", required = "required", onchange = "fn_ShowFun(this);" })
                        </div>
                        <div class="boxgrey">
                            <div class="boxone">
                                <div class="col">
                                    <ul class="orgmap">
                                    </ul>
                                </div>
                            </div>

                        </div>

                    </div>
                    <div class="col-md-8 col-sm-4 col-xs-6">
                        @*<canvas class="barChartLoc" id="barChartLoc" height="250" width="500" style="float:left"></canvas>
        <div class="legend"></div>*@
                        <canvas id="canvas" class="fixcanvas" style="display: block; width: 633px; height: 215px;"></canvas>
                        <div id="chart_div" class="fixcanvas" style="display: block; width: 700px; height: 500px;"></div>
                        <p>Other Enablers</p>

                        @*<div class="boxgrey">
            <div class="boxone">
                <div class="col">
                    <ul class="CategoryListmap">
                    </ul>
                </div>
            </div>

        </div>*@
                        <div class="row">
                            <div class="col-md-3">
                                <ul class="CategoryListmap">
                                </ul>
                            </div>
                            <div class="col-md-9">
                                <div class="enabler_detail"></div>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-8 col-sm-4 col-xs-6">
                        <canvas class="barChartLoc" id="barChartLoc" height="250" width="500" style="float:left"></canvas>
                        <div class="legend"></div>

                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<h1>Other Enablers</h1>






